/** Example of Apemanfile.js */

'use strict'

module.exports = {
  $cwd: __dirname,
  $pkg: { /* ... */ },
  $proto: [ /* ... */ ],
  $ui: {
    'user': {
      profile () { /* ... */ }
    },
    // Called before method invocation
    $before () { /* ... */ },
    // Called after method invocation
    $after () { /* ... */ },
    // Use custom urls
    $urls: {
      'user#profile': '/mypage'
    },
    $compile (content) {
      return `<!DOCTYPE html>${content}`
    },
    $proxy: {
      '/api/*': 'http://localhost:3001'
    }
  }
}
